[Linux - Ubuntu 14.04] - Segmentation Fault

meant to say ubuntu 16.04

Well basically I’m trying to run a vanilla Gmod server and it just segment faults immediately, couldn’t find anything about this on google so i figured this would be the right place to ask.

I can run a Rust server just fine but Gmod is just being weird or glitchy.
Thank you for the help in advanced.

Where did you have this error ? In the gmodserver console?

Your tier0.so corrupt or something. Reinstall your server from scratch using SteamCMD.

I’ve re-installed about 4 times now, no way it could be corrupt but ill try again…

Edit: I found out why it was erroring, pretty sure my permissions were screwed up, had to chmod the permissions back.